glibmm 2.88.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< Glib::ustring > Class Reference
Generic Values

Specialization for UTF-8 strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< Glib::ustring >:
[legend]

## Public Types
using | CppType = Glib::ustring

## Public Member Functions
void | set (const Glib::ustring & data)
Glib::ustring | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type.
| ValueBase (const ValueBase & other)
ValueBase & | operator= (const ValueBase & other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type.
void | init (const GValue * value)
| Setup the GValue storing the type and value of the specified value.
void | reset ()
| Reset contents to the default value of its type.
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_String
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void * data)
void * | get_boxed () const
Protected Member Functions inherited from Glib::ValueBase_String
void | set_cstring (const char * data)
const char * | get_cstring () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

Specialization for UTF-8 strings.

## Member Typedef Documentation

## ◆ CppType

using Glib::Value< Glib::ustring >::CppType = Glib::ustring

## Member Function Documentation

## ◆ get()

Glib::ustring Glib::Value< Glib::ustring >::get | ( |  | ) | const
| inline

## ◆ set()

void Glib::Value< Glib::ustring >::set | ( | const Glib::ustring & | data | ) |

## ◆ value_type()

GType Glib::Value< Glib::ustring, void >::value_type | ( |  | ) |
| static